/*
Theme Name: Blockman Child
Theme URI: https://knowman.co.jp/
Description: Blockman の子テーマです。親テーマ Blockman のアップデートの影響を受けずに、カスタマイズ（CSS の上書き・functions.php への追記・テンプレートの上書き）を行うために使用します。
Author: Knowman
Author URI: https://knowman.co.jp/
Template: blockman
Version: 1.0.0
Requires at least: 6.0
Tested up to: 6.5
Requires PHP: 7.4
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: blockman-child
*/


body {
	font-family: 'Limerick Serial',Century Gothic,'BIZ UDGothic','ヒラギノ角ゴ Pro W3','Hiragino Kaku Gothic Pro','メイリオ',Meiryo,'ＭＳ Ｐゴシック',sans-serif !important;
}
a:hover img {
	opacity: 0.6;
	filter: alpha(opacity=60);
	-ms-filter: "alpha(opacity=60)";
	-khtml-opacity: 0.6;
	-moz-opacity: 0.6;
	transition: 1s;
}
.l-header__logo a:hover img,
.c-headLogo a:hover img {
	opacity: 1;
}
main li.p-postList__item a,
.c-tagList a,
.c-categoryList a,
.p-blogCard a,
.c-pagination a {
	border-bottom: none;
}
.c-pageTitle__subTitle {
	display: none;
}
.post_content blockquote {
	padding-right: 10px;
}
.post_content blockquote::after {
	display: none;
}
.post_content blockquote cite {
	font-style:normal;
}
.twitter-tweet{
	margin-bottom: 15px;
}
/*
#top_title_area::after {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-image: radial-gradient(circle at 0 0, #000 2px, transparent 2px), radial-gradient(circle at 100% 100%, #000 2px, transparent 2px);
	background-size: 4px 4px;
	pointer-events: none;
}
*/

#top_title_area::after {
	content: '';
	display: block;
	position: absolute;
	top: 0;
	right: 0;
	width: 100%;
	height: 100vh;
	background-color: rgba(0,0,0,0.1);
	background-image: radial-gradient(#000 30%, transparent 31%), radial-gradient(#000 30%, transparent 31%);
	background-size: 4px 4px;
	background-position: 0 0, 2px 2px;
}

h1.c-postTitle__ttl {
    font-weight: bold;
    font-size: 36px;
	text-shadow: 0 0 3px #000000;
}
.menu-item {
	font-weight: bold;
}
.grecaptcha-badge {
	visibility: hidden;
}
.alignleft {
	float: left;
	margin-right: 10px;
	margin-bottom: 10px;
}
.alignright {
	float: right;
	margin-bottom: 10px;
	margin-left: 10px;
}
.aligncenter {
	display: block;
	margin: 0 auto 10px auto;
}
@media screen and (max-width:959px){
	.alignleft,
	.alignright {
		float: none;
		display: block;
		margin: 0 auto 10px auto;
	}
    h1.c-postTitle__ttl {
    font-size: 22px;
    }
	.post_content p {
		font-size: 1.25rem;
		line-height: 145%;
	}
	.post_content li,
	ul.p-toc__list li {
		font-size: 1.25rem;
		line-height: 145%;
	}
}

/* ヘッダーメニュー */

.bgbk a {
	color: #ffffff;
}
.bgbk a:hover {
	color: #333333 !important;
}

/* 目次 */

.p-toc {
	background-color: #f8f8f8;
	font-weight: bold;
}
.p-toc__ttl {
	font-size: 1rem;
}

/* 人気記事 */

ul.wpp-list {
	margin: auto 0;
	padding: 0;
	list-style-type: none;
}
ul.wpp-list li {
	margin: 0 0 20px 0;
	padding: 0;
	font-size: 0.95rem;
	line-height: 120%;
}
ul.wpp-list li:last-child {
	margin: 0;
}
ul.wpp-list li a {
	color: #000000;
	text-decoration: none;
	font-weight: bold;
}
ul.wpp-list li a:hover {
	text-decoration: underline;
}
ul.wpp-list li img {
	float: right;
	margin-left: 12px;
	margin-bottom: 10px;
}
ul.wpp-list .taxonomies {
	margin-bottom: 5px;
	font-size: 0.6rem;
	line-height: 130%;
}
ul.wpp-list .wpp-post-title {
	color: #333333;
}
ul.wpp-list .wpp-excerpt {
	margin-top: 5px;
	font-size: 0.7rem;
	line-height: 140%;
}
ul.wpp-list li:after {
	content: "";
	clear: both;
	display: block;
}
@media screen and (max-width:959px){
	ul.wpp-list li {
		font-size: 1.1rem;
		line-height: 120%;
	}
	ul.wpp-list .taxonomies {
		font-size: 0.8rem;
	}
	ul.wpp-list .wpp-excerpt {
		font-size: 0.9rem;
	}
}

/*　Twitter Instagram　*/

.twitter-tweet,
.instagram-media {
	margin-bottom: 30px !important;
}

/* コピーライト */

p.copyright a {
	color: #ffffff!important;
	text-decoration: none;
}
p.copyright a:hover {
	text-decoration: underline;
}

/* コンタクトフォーム */

.wpcf7 p {
	font-size: 1rem;
	line-height: 1rem;
	padding: 20px 0 0 0;
}
.wpcf7 .required{
font-size: 0.8em;
padding: 5px;
background: #F57500;
color: #fff;
border-radius: 3px;
margin-right: 5px;
}
.wpcf7 .optional{
font-size: 0.8em;
padding: 5px;
background: #000080;
color: #fff;
border-radius: 3px;
margin-right: 5px;
}
.wpcf7 input.wpcf7-form-control.wpcf7-text,
textarea.wpcf7-form-control.wpcf7-textarea,
select.wpcf7-select {
	width: 100%;
	padding: 8px 15px;
	margin-right: 10px;
	margin-top: 10px;
	border: 1px solid #d0d5d8;
	border-radius: 3px;
	background-color: #eff1f5;
}
.wpcf7 textarea.wpcf7-form-control.wpcf7-textarea {
	height: 200px;
}
.wpcf7 select.wpcf7-select {
	font-size: 0.9rem;
}
.wpcf7 input.wpcf7-submit {
	display: block;
	width: 220px;
	color: #ffffff;
	background: #000000 !important;
	margin: 15px auto 0;
	padding: 20px;
	border-radius: 5px;
	box-shadow: 0 3px 0 gray;
}
.wpcf7 input.wpcf7-submit:hover {
	transform: translateY(3px);
	box-shadow: none;
	opacity: 0.7;
}
.wpcf7 span.wpcf7-not-valid-tip,
.wpcf7-response-output.wpcf7-validation-errors {
	color: red;
	font-weight: 600;
}
/* エラーメッセージを見やすく */
span.wpcf7-not-valid-tip,
.wpcf7-response-output.wpcf7-validation-errors {
	color: red;
	font-weight: 600;
}

/* WPForms */

.wpforms-submit-container {
	text-align: center;
}
button.wp-submit,
button.wpforms-submit {
	display: inline-block;
	width: 200px;
	height: 50px!important;
	color: #ffffff!important;
	background: #000000!important;
	margin: 15px auto 0;
	padding: 10px;
	border-radius: 5px!important;
	box-shadow: 0 3px 0 gray !important;
	font-size: 0.9rem!important;
}
button.wp-submit:hover,
button.wpforms-submit:hover {
	transform: translateY(3px);
	box-shadow: none!important;
	opacity: 1!important;
}
body .cf7ic-wpf .captcha-image .cf7ic-icon-wrapper {
	text-align: center !important;
}